## kf6-kstatusnotifieritem 6.3.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:57:09 +0200

kf6-kstatusnotifieritem (6.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1068521)

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Apr 2024 02:00:45 +0200
