## kf6-kstatusnotifieritem 6.6.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:40 +0100

kf6-kstatusnotifieritem (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:27 +0100

kf6-kstatusnotifieritem (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:42 +0100
