## kf6-kstatusnotifieritem 6.16.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:47:34 +0100

kf6-kstatusnotifieritem (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:35:13 +0100

kf6-kstatusnotifieritem (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:03 +0100
