=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6windowsystem-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6windowsystem-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
 Description: Implementation of Status Notifier Items - development files
