=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:05:33 +0000

kf6-kstatusnotifieritem (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:07:10 +0000

kf6-kstatusnotifieritem (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:00:32 +0000

kf6-kstatusnotifieritem (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:27:59 +0000

kf6-kstatusnotifieritem (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:42:46 +0000

kf6-kstatusnotifieritem (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:00:48 +0000

kf6-kstatusnotifieritem (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:43:44 +0000

kf6-kstatusnotifieritem (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:10:07 +0000

kf6-kstatusnotifieritem (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Mar 2025 00:42:05 +0000

kf6-kstatusnotifieritem (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 12:53:02 +1000

kf6-kstatusnotifieritem (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:10:17 +0000

kf6-kstatusnotifieritem (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:37:38 +0000

kf6-kstatusnotifieritem (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:40:43 +0000

kf6-kstatusnotifieritem (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:35:21 +0000

kf6-kstatusnotifieritem (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:42:13 +0000

kf6-kstatusnotifieritem (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:48:31 +0000

kf6-kstatusnotifieritem (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:45:08 +0000

kf6-kstatusnotifieritem (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:33:12 +1000

kf6-kstatusnotifieritem (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:01:48 +0000

kf6-kstatusnotifieritem (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kstatusnotifieritem (0.0.0-0neon) unstable; urgency=medium

  * Initial release

 -- KDE Neon <neon@kde.org>  Thu, 17 Aug 2023 11:08:01 +1000
