=== debian/control ===
Source: kf6-kstatusnotifieritem
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               flex,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kwindowsystem-dev,
               libclang-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               pkg-kde-tools-neon,
               pyside6-tools,
               python3-build,
               python3-dev,
               qt6-base-dev,
               qt6-tools-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kstatusnotifieritem.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kstatusnotifieritem
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kstatusnotifieritem
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3, python3-pyside6.qtcore, ${misc:Depends}, ${shlibs:Depends}
Description: Implementation of Status Notifier Items
 Framework for status notifier items.
 .
 This package contains the libraries and binaries.

Package: kf6-kstatusnotifieritem-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kstatusnotifieritem (= ${binary:Version}),
         kf6-kwindowsystem-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kf6-kstatusnotifieritem
 Framework for status notifier items.
 .
 This package contains the development header files for kf6-kstatusnotifieritem.
