=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0+p24.04+vstable+git20251008.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:06:03 +0000
