## kf6-kstatusnotifieritem 6.19.0+p24.04+vunstable+git20251020.0220

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
