=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0+p24.04+vunstable+git20251020.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:20:56 +0000
